Name: file-roller
Version: 2.4.0.1
Release: alt1

Summary: An archive manager for GNOME
Summary (ru_RU.UTF-8): Архиватор для GNOME 2
License: GPL
Url: http://ftp.gnome.org/pub/GNOME/sources/file-roller
Group: File tools
Source0: %name-%version.tar.bz2
Source1: ru.po
Source2: help.tar.gz
Source3: %name-48.png
Source4: %name-32.png
Source5: %name-16.png
BuildRequires: GConf2 ORBit2-devel XFree86-devel XFree86-libs esound-devel fontconfig freetype2 glib2-devel glibc-devel-static gnome-vfs2-devel libGConf2-devel libORBit2 libalsa-devel libart_lgpl-devel libatk-devel libaudiofile-devel libbonobo2-devel libbonoboui-devel libexpat libglade2-devel libgnome-devel libgnomecanvas-devel libgnomeui-devel libgtk+2-devel libjpeg-devel libpango-devel libpopt-devel libssl-devel libxml2-devel libxslt pkgconfig rootfiles scrollkeeper zlib-devel

%description
File Roller is an archive manager for the GNOME environment.  This means that
you can : create and modify archives; view the content of an archive; view a
file contained in the archive; extract files from the archive.
File Roller is only a front-end (a graphical interface) to archiving programs
like tar and zip. The supported file types are :
    * Tar archives uncompressed (.tar) or compressed with
          * gzip (.tar.gz , .tgz)
          * bzip (.tar.bz , .tbz)
          * bzip2 (.tar.bz2 , .tbz2)
          * compress (.tar.Z , .taz)
          * lzop (.tar.lzo , .tzo)
    * Zip archives (.zip)
    * Jar archives (.jar , .ear , .war)
    * Lha archives (.lzh)
    * Rar archives (.rar)
    * Single files compressed with gzip, bzip, bzip2, compress, lzop

%description -l ru_RU.UTF-8
File Roller - архиватор для рабочего стола GNOME. С его помощью можно:
создавать архивы и изменять их содержимое, читать оглавление архивов,
просматривать и распаковывать заключенные в архив файлы.
File Roller является графической оболочкой к различным средствам сжатия
данных. В число поддерживаемых программой типов архивов входят:
    * Архивы Tar как несжатые (.tar), так и сжатые посредством
          * gzip (.tar.gz , .tgz)
          * bzip (.tar.bz , .tbz)
          * bzip2 (.tar.bz2 , .tbz2)
          * compress (.tar.Z , .taz)
          * lzop (.tar.lzo , .tzo)
    * Zip архивы (.zip)
    * Jar архивы (.jar , .ear , .war)
    * Lha архивы (.lzh)
    * Rar архивы (.rar)
    * Отдельные файлы сжатые при помощи gzip, bzip, bzip2, compress, lzop.

%prep
%setup -q
# update translation
%__cat %SOURCE1 > po/ru.po
%__rm -f help/ru/*xml
%__rm -f help/ru/figures/*
%__tar xzf %SOURCE2

%build
%configure --disable-schemas-install
%make_build

%install
%makeinstall
%find_lang %name
install -m644 -D %SOURCE3 $RPM_BUILD_ROOT%_liconsdir/%name.png
install -m644 -D %SOURCE4 $RPM_BUILD_ROOT%_iconsdir/%name.png
install -m644 -D %SOURCE5 $RPM_BUILD_ROOT%_miconsdir/%name.png
# menu
install -d -m 0755 %buildroot/%_menudir
cat > %buildroot/%_menudir/%name <<EOF
?package(%name):command="%_bindir/%name" needs="x11" \
section="Applications/Archiving/Compression" title="File-Roller" \
longtitle="An archive manager for GNOME" icon="%name.png"
EOF

%post
%post_ldconfig
%gconf2_install %name
%update_scrollkeeper
%update_menus

%postun
%postun_ldconfig
%clean_scrollkeeper
%clean_menus

%files -f %name.lang
%doc AUTHORS NEWS README COPYING
%_bindir/*
%_sysconfdir/gconf/schemas/*
%_datadir/gnome/help/*
%_datadir/applications/*
%_datadir/application-registry/*
%_datadir/%name
%_datadir/mime-info/*
%_datadir/pixmaps/%name.png
%_datadir/omf/*
%_iconsdir/%name.png
%_liconsdir/%name.png
%_miconsdir/%name.png
%_menudir/%name

%changelog
* Fri Oct 17 2003 Vyacheslav Dikonov <slava@altlinux.ru> 2.4.0.1-alt1
- new version

* Sat Nov 02 2002 Vyacheslav Dikonov <slava@altlinux.ru> 2.0.3-alt2
- translation update, missing docs fixed

* Mon Oct 14 2002 AEN <aen@altlinux.ru> 2.0.3-alt1
- new version

* Wed Oct 09 2002 AEN <aen@altlinux.ru> 2.0.2-alt1
- first build for Sisyphus
